@import "../../../global.scss";

.btnRight {
  background-color: $Teal;
  color: $White;
  margin-left: auto;
  display: block;
  padding: 3px 15px;
  font-size: 14px;

  &:hover {
    color: $White;
    box-shadow: none;
  }

  span:first-child {
    margin-right: 5px;
    display: inline-block;
  }
}

// .table {
//   thead th {
//     border-top: none;
//     border-bottom: none;
//     background-color: $DarkBlue;
//     color: $Lime;
//     font-weight: normal;

//     // &:not(:first-child) {
//     //   text-align: center;
//     // };
//     // &:not(:second-child) {
//     //   text-align: center;
//     // }
//   }

//   tbody tr:nth-child(2n) {
//     background-color: rgba($color: $DarkBlue, $alpha: 0.15);
//   }

//   td {
//     padding: 5px 12px;
//     vertical-align: middle;
//     color: $DarkBlue;
//   }
// }

#tableNoti {
  margin-top: 100px;

  .table {
    thead th {
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.12;
      letter-spacing: normal;
      text-align: left;
      color: $Lime;
      border: none;
      background-color: $DarkBlue;

      @include smobile() {
        font-size: 16px;
      }
    }

    tbody tr:nth-child(2n) {
      background-color: rgba($color: $DarkBlue, $alpha: 0.15);
    }

    th {
      font-size: 16px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.12;
      letter-spacing: normal;
      text-align: left;
      color: $Lime;
    }

    td {
      // font-size: 20px;
      font-weight: normal;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.3;
      letter-spacing: normal;
      text-align: left;
      // color: $Teal;
      color: #06333f;

    }
  }

  @media only screen and (max-width: 1024px) {

    table,
    thead,
    tbody,
    th,
    td,
    tr {
      display: block;
    }

    thead tr {
      position: absolute;
      top: -9999px;
      left: -9999px;
    }

    thead th {
      color: $Lime !important;
      background-color: $DarkBlue !important;
    }

    td {
      /* Behave  like a "row" */
      border: none;
      border-bottom: 1px solid #eee;
      position: relative;
      padding-left: 50%;
    }

    td:before {
      /* Now like a table header */
      position: absolute;
      /* Top/left values mimic padding */
      top: 6px;
      left: 6px;
      width: 45%;
      padding-right: 10px;
      white-space: nowrap;
    }


    /*
	Label the data
	*/
    td:nth-of-type(1):before {
      content: "Group Name";
    }

    td:nth-of-type(2):before {
      content: "Display Name";
    }

    td:nth-of-type(3):before {
      content: "Enforced Single Session Status";
      width: 152px;
      word-break: break-word;
      overflow-wrap: break-word;
      display: inline-block;
      white-space: break-spaces;
    }

    td:nth-of-type(4):before {
      content: "Enforced 2FA Status";
    }

    td:nth-of-type(5):before {
      content: "Edit";
    }

    td:nth-of-type(6):before {
      content: "Delete";
    }

    td:nth-of-type(3) {
      display: inline-block;
      overflow-wrap: break-word;
      word-wrap: break-word;
      word-break: normal;
      line-break: strict;
      width: 100%;
      padding-bottom: 30px;
    }

    td:nth-of-type(4) {
      word-break: break-word;
      overflow-wrap: break-word;
    }
  }
}

.cursorPointer {
  cursor: pointer;
}